<?php
	include_once(__DIR__."/../../core.php");

		$module_name="Fatture di vendita";

	echo "<script type=\"text/javascript\" charset=\"utf-8\" src=\"".$js."/jquery.form.min.js\"></script>\n";
	echo "<script type=\"text/javascript\" charset=\"utf-8\" src=\"".$rootdir."/lib/init.js\"></script>\n";


	
	$can_edit_prezzi = true;
	$idintervento = $html->form('idintervento');
	$idriga = $html->form('idriga');
	$data_mov = $html->form('data_mov');

	
		$op = "addarticolo_p";
		$text_button = "<i class='fa fa-plus'></i> Aggiungi";

		// valori default
		$idarticolo = "";
		$descrizione = "";
		$qta = 1;
		$um = "";

		$lotto = "";
		$serial = "";
		$altro = "";

		$prezzo_acquisto = "0";
		$prezzo_vendita = "0";
		$sconto = 0;
		$sconto_prc = 0;

		$idimpianto = 0;



	//Lettura idanagrafica cliente e percentuale di sconto/rincaro in base al listino
	$rs = $dbo->fetchArray("SELECT idanagrafica FROM in_interventi WHERE idintervento=\"".$idintervento."\"");
	$idanagrafica = $rs[0]['idanagrafica'];


	/*
		Form di inserimento
	*/
	echo "<form id=\"add_form\" action=\"".$rootdir."/modules/documenti/actions.php?id_record=".$idintervento."\" method=\"post\">\n";
	

	echo "	<input type='hidden' name='op' value='".$op."'>\n";	
	echo "	<input type='hidden' name='idintervento' value='".$idintervento."'>\n";
	echo "	<input type='hidden' id='idautomezzo' name='idautomezzo' value='".$idautomezzo."'>\n";
	echo "	<input type='hidden' name='idriga' value='".$idriga."'>\n";
	echo "	<input type='hidden' name='data_mov' value='".$data_mov."'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";

	if($idarticolo!=""){
		echo "	<input type='hidden' id='idarticolo_originale' name='idarticolo_originale' value='".$idarticolo."'>\n";
	}

	//Seleziona articolo
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-6'>\n";
	echo '			{[ "type": "select", "label": "'. _("Articolo").'", "name": "idarticolo", "required": 1, "value": "'.$idarticolo.'", "ajax-source": "articoli", "extra": "onchange=\"session_set( \'superselect,idarticolo\', $(this).val(), 0 ); $(\'#descrizione_art\').val( $(this).find(\'option:selected\').text() ); $data=select2_get_data( $(\'#idarticolo\') ); if( $data != undefined ){ set_default_select( \'#um\', $data.um, $data.um ); $(\'#prezzo_acquisto\').val( $data.prezzo_acquisto );  $(\'#prezzo_vendita\').val( $data.prezzo_vendita ); }\"" ]}';
	echo "		</div>\n";
	echo "		</div>\n";

	

	//Descrizione
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-12'>\n";
	echo '			{[ "type": "textarea", "label": "'. _("Descrizione").'", "id": "descrizione_art", "name": "descrizione", "required": 1, "value": "'.$descrizione.'" ]}';
	echo "		</div>\n";
	echo "	</div>\n";
	echo "	<br>\n";


	//Quantità
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-3'>\n";
	echo '			{[ "type": "text", "label": "'. _("Q.tà").'", "class": "inputmask-decimal", "name": "qta", "required": 1, "value": "'.$qta.'" ]}';
	echo "		</div>\n";




	//Prezzo di vendita
	echo "		<div class='col-md-3'>\n";
	echo '			{[ "type": "text", "label": "'. _("Prezzo di vendita (un.)").'", "class": "inputmask-decimal", "name": "prezzo_vendita", "required": 1, "value": "'.$prezzo_vendita.'", "icon-after": "&euro;" ]}';
	echo "		</div>\n";
	echo "	</div>\n";


	echo "	<button type='button' class='btn btn-primary pull-right' onclick=\"$('#add_form').submit();\">".$text_button."</button>\n";
	echo "</form>\n";
	echo "<div class='clearfix'></div>\n";
?>

	<script type="text/javascript">
		
		function addarticolo_vendita(){
			
				$("#link_form").submit();
			
		}
		
		
		
		
		$(document).ready(function() {
			var options = {
				beforeSubmit:	function(){
									return ( $('#idarticolo').val()!='0' && $('#qta').val()!='' && $('#qta').val()!='0' );
								},

				success:		function(){
									$('#bs-popup').modal('hide');

									// ricarico la pagina ajax_referente
									$('#articoli').load('<?php echo $rootdir ?>/modules/documenti/ajax_articoli.php?idintervento=<?php echo $idintervento ?>');
									
								}
			}

			$('#add_form').ajaxForm( options );
		});



	</script>
